(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8012,        329]
NotebookOptionsPosition[      5392,        232]
NotebookOutlinePosition[      5828,        249]
CellTagsIndexPosition[      5785,        246]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["Discrete", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["Discrete`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["Discrete/ref/MBconvertMathematicaToGAP", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBconvertMathematicaToGAP", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBconvertMathematicaToGAP", "[", "Expression", "]"}]], 
  "InlineFormula"],
 " \[LineSeparator]MBconvertMathematicaToGAP ",
 "converts Expression from Mathematica to GAP format."
}], "Usage",
 CellChangeTimes->{{3.5269478520019207`*^9, 3.5269478557662277`*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5269472571625347`*^9, 3.526947267610165*^9}},
 CellLabel->"In[7]:=",
 CellID->54514590],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBconvertMathematicaToGAP", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", 
      RowBox[{"Exp", "[", 
       RowBox[{"2", " ", "\[Pi]", " ", 
        RowBox[{"\[ImaginaryI]", "/", "3"}]}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"2", "+", 
       RowBox[{"Exp", "[", 
        RowBox[{"2", "\[Pi]", " ", 
         RowBox[{"\[ImaginaryI]", "/", "5"}]}], "]"}]}], ",", 
      RowBox[{"-", "5"}]}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.5269477907119207`*^9, 3.526947829387445*^9}},
 CellLabel->"In[8]:=",
 CellID->1611568293],

Cell[BoxData["\<\"[[1, 1*E(3)], [1*E(5) + 2, -5]]\"\>"], "Output",
 CellChangeTimes->{3.526947830855165*^9, 3.526949316492793*^9},
 CellLabel->"Out[8]=",
 CellID->1864994181]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1908401893],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1440733233]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[ButtonBox["MBconvertGAPToMathematica",
 BaseStyle->"Hyperlink",
 ButtonData->{"MBconvertGAPToMathematica.nb", None}]], "SeeAlso",
 CellChangeTimes->{{3.526947723193879*^9, 3.526947750989887*^9}, {
  3.5269493122430964`*^9, 3.5269493128551617`*^9}},
 CellID->929782353]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 81, 2, 70, "Categorization",
 CellID->605800465],
Cell[1144, 49, 78, 2, 70, "Categorization",
 CellID->468444828],
Cell[1225, 53, 83, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1345, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1403, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1485, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1553, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1650, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1735, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1819, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1938, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1994, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2060, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2132, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2199, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2271, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2335, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2399, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2465, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2546, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2650, 132, 68, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2721, 135, 348, 9, 75, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3106, 149, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3465, 162, 224, 6, 26, "Input",
 CellID->54514590],
Cell[CellGroupData[{
Cell[3714, 172, 620, 18, 46, "Input",
 CellID->1611568293],
Cell[4337, 192, 174, 3, 25, "Output",
 CellID->1864994181]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[4560, 201, 58, 1, 43, "TutorialsSection",
 CellID->1908401893],
Cell[4621, 204, 378, 12, 16, "Tutorials",
 CellID->1440733233]
}, Open  ]],
Cell[CellGroupData[{
Cell[5036, 221, 55, 1, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[5094, 224, 282, 5, 16, "SeeAlso",
 CellID->929782353]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
