(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     15961,        576]
NotebookOptionsPosition[     12647,        453]
NotebookOutlinePosition[     13083,        470]
CellTagsIndexPosition[     13040,        467]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBextractOneRep", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBextractOneRep", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBextractOneRep", "[", 
   RowBox[{"RepVector", ",", "NumRep", ",", "nthRep"}], "]"}]], 
  "InlineFormula"],
 " \[LineSeparator]MBextractOneRep extracts the nthRep irreducible \
representation NumRep from RepVector. nthRep is optional. If nthRep is not \
given, all representations NumRep are returned."
}], "Usage",
 CellChangeTimes->{{3.526866640868078*^9, 3.526866641442506*^9}, {
  3.526866678023406*^9, 3.526866687848196*^9}, {3.5268669449310617`*^9, 
  3.526866955087913*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.526941393213081*^9, 3.526941400879013*^9}},
 CellLabel->"In[33]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}},
 CellLabel->"In[34]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{3.526866266061529*^9, 3.526866820340908*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->1927567930],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.526866821363287*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->1194810193],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.526866821387858*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->1680763542],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.52686682139008*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->1696870512],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.526866821392147*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->689251642],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.5268668213947287`*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->1710357837],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526866266061529*^9, 3.526866821398326*^9},
 CellLabel->"During evaluation of In[34]:=",
 CellID->219738829]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.526866821775571*^9, 3.5268668440377607`*^9}},
 CellLabel->"In[35]:=",
 CellID->506253957],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.5268668448554783`*^9},
 CellLabel->"Out[35]=",
 CellID->1545115560]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBextractOneRep", "[", 
  RowBox[{
   RowBox[{"MBmultiply", "[", 
    RowBox[{"A4", ",", 
     RowBox[{"{", 
      RowBox[{"\[Chi]", ",", "\[Chi]", ",", "\[Chi]", ",", "\[Chi]"}], 
      "}"}]}], "]"}], ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.52686676047301*^9, 3.526866760711853*^9}},
 CellLabel->"In[38]:=",
 CellID->566995676],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], "+", 
          SuperscriptBox["\[Chi]c2", "2"], "+", 
          SuperscriptBox["\[Chi]c3", "2"]}], ")"}], "2"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[Chi]c1", "4"], "+", 
         SuperscriptBox["\[Chi]c2", "4"], "-", 
         RowBox[{
          SuperscriptBox["\[Chi]c2", "2"], " ", 
          SuperscriptBox["\[Chi]c3", "2"]}], "+", 
         SuperscriptBox["\[Chi]c3", "4"], "-", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["\[Chi]c2", "2"], "+", 
            SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}]}], ")"}]}], "}"}], ",", 
     RowBox[{"{", 
      FractionBox[
       RowBox[{
        RowBox[{
         SuperscriptBox["\[Chi]c2", "2"], " ", 
         SuperscriptBox["\[Chi]c3", "2"]}], "+", 
        RowBox[{
         SuperscriptBox["\[Chi]c1", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["\[Chi]c2", "2"], "+", 
           SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}]}], 
       SqrtBox["3"]], "}"}]}], "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.526866934500247*^9},
 CellLabel->"Out[38]=",
 CellID->1507399143]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBextractOneRep", "[", 
  RowBox[{
   RowBox[{"MBmultiply", "[", 
    RowBox[{"A4", ",", 
     RowBox[{"{", 
      RowBox[{"\[Chi]", ",", "\[Chi]", ",", "\[Chi]", ",", "\[Chi]"}], 
      "}"}]}], "]"}], ",", "1", ",", "1"}], "]"}]], "Input",
 CellChangeTimes->{{3.52686676047301*^9, 3.526866760711853*^9}, {
  3.526866930980506*^9, 3.526866931076882*^9}},
 CellLabel->"In[37]:=",
 CellID->1688129734],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      FractionBox["1", "3"], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["\[Chi]c1", "2"], "+", 
         SuperscriptBox["\[Chi]c2", "2"], "+", 
         SuperscriptBox["\[Chi]c3", "2"]}], ")"}], "2"]}], "}"}], "}"}], ",", 
   
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.52686684637295*^9, 3.526866931477207*^9},
 CellLabel->"Out[37]=",
 CellID->1756658811]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1155968248],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1295640488]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-7, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 78, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1350, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1408, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1490, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1558, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1655, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1740, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1824, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1943, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1999, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2065, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2137, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2204, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2276, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2340, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2404, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2470, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2551, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2655, 132, 58, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2716, 135, 569, 13, 92, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3322, 153, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3681, 166, 273, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[3979, 177, 252, 7, 26, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[4256, 188, 212, 4, 21, "Print",
 CellID->1927567930],
Cell[4471, 194, 175, 3, 21, "Print",
 CellID->1194810193],
Cell[4649, 199, 371, 8, 60, "Print",
 CellID->1680763542],
Cell[5023, 209, 341, 8, 41, "Print",
 CellID->1696870512],
Cell[5367, 219, 347, 8, 41, "Print",
 CellID->689251642],
Cell[5717, 229, 957, 24, 76, "Print",
 CellID->1710357837],
Cell[6677, 255, 1778, 45, 140, "Print",
 CellID->219738829]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8504, 306, 248, 6, 26, "Input",
 CellID->506253957],
Cell[8755, 314, 348, 12, 25, "Output",
 CellID->1545115560]
}, Open  ]],
Cell[CellGroupData[{
Cell[9140, 331, 364, 10, 26, "Input",
 CellID->566995676],
Cell[9507, 343, 1601, 49, 126, "Output",
 CellID->1507399143]
}, Open  ]],
Cell[CellGroupData[{
Cell[11145, 397, 424, 11, 26, "Input",
 CellID->1688129734],
Cell[11572, 410, 571, 19, 42, "Output",
 CellID->1756658811]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12192, 435, 58, 1, 43, "TutorialsSection",
 CellID->1155968248],
Cell[12253, 438, 378, 12, 16, "Tutorials",
 CellID->1295640488]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
