(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23261,        785]
NotebookOptionsPosition[     19789,        656]
NotebookOutlinePosition[     20225,        673]
CellTagsIndexPosition[     20182,        670]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBgetCovariants", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBgetCovariants", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetCovariants", "[", 
   RowBox[{"Group", ",", "Reps", ",", "Order"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBgetCovariants returns all covariants of Reps up to order \
Order using the Clebsch Gordan coefficients of Group. In each step, \
MBgetCovariants applies ",
 ButtonBox["MBsimplifyCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBsimplifyCovariants.nb", None}],
 " to reduce the number of operators to a minimal independent set."
}], "Usage",
 CellChangeTimes->{{3.526864765443853*^9, 3.5268648055294027`*^9}, {
  3.527566639737512*^9, 3.527566690439225*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.526941458055339*^9, 3.526941465311398*^9}},
 CellLabel->"In[4]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}},
 CellLabel->"In[5]:=",
 CellID->2070045828],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{3.526865141854702*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->1395082158],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{3.526865142895751*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->639514751],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268651429373817`*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->1278872887],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526865142940321*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->133894568],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526865142942761*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->1904398245],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.526865142945552*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->1938947760],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{3.5268651429483213`*^9},
 CellLabel->"During evaluation of In[5]:=",
 CellID->1173475221]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[Chi]", "=", 
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"A4", ",", "4", ",", "\[Chi]c"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.522070058352837*^9, 3.522070073412291*^9}, {
  3.522070224150367*^9, 3.522070266420216*^9}, {3.524573628409586*^9, 
  3.5245736311651487`*^9}, {3.524573667533764*^9, 3.524573687408367*^9}, {
  3.526864863358789*^9, 3.5268648778777037`*^9}},
 CellLabel->"In[6]:=",
 CellID->733653939],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.526865143073332*^9},
 CellLabel->"Out[6]=",
 CellID->1310073530]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetCovariants", "[", 
  RowBox[{"A4", ",", "\[Chi]", ",", "3"}], "]"}]], "Input",
 CellChangeTimes->{{3.5220706088314943`*^9, 3.52207062114093*^9}, {
  3.524573874882658*^9, 3.524573880202903*^9}, {3.526864881137906*^9, 
  3.526864883282157*^9}},
 CellLabel->"In[7]:=",
 CellID->783630378],

Cell[CellGroupData[{

Cell[BoxData["2"], "Print",
 CellChangeTimes->{3.526865143960977*^9},
 CellLabel->"During evaluation of In[7]:=",
 CellID->655990039],

Cell[BoxData["3"], "Print",
 CellChangeTimes->{3.526865144117215*^9},
 CellLabel->"During evaluation of In[7]:=",
 CellID->221345380]
}, Open  ]],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\[Chi]c1", ",", "\[Chi]c2", ",", "\[Chi]c3"}], "}"}], "}"}]}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[Chi]c1", "2"], "+", 
         SuperscriptBox["\[Chi]c2", "2"], "+", 
         SuperscriptBox["\[Chi]c3", "2"]}], 
        SqrtBox["3"]], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "6"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["\[Chi]c1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        FractionBox["1", "6"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SqrtBox["3"], " ", 
           SuperscriptBox["\[Chi]c1", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c2", "2"]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
             SqrtBox["3"]}], ")"}], " ", 
           SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], "}"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Chi]c2", " ", "\[Chi]c3"}], ",", 
        RowBox[{"\[Chi]c1", " ", "\[Chi]c3"}], ",", 
        RowBox[{"\[Chi]c1", " ", "\[Chi]c2"}]}], "}"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\[Chi]c1", " ", "\[Chi]c2", " ", "\[Chi]c3"}], "}"}], "}"}], 
     ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Chi]c1", " ", 
          SuperscriptBox["\[Chi]c2", "2"]}], ",", 
         RowBox[{"\[Chi]c2", " ", 
          SuperscriptBox["\[Chi]c3", "2"]}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], " ", "\[Chi]c3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\[Chi]c1", " ", 
          SuperscriptBox["\[Chi]c3", "2"]}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c1", "2"], " ", "\[Chi]c2"}], ",", 
         RowBox[{
          SuperscriptBox["\[Chi]c2", "2"], " ", "\[Chi]c3"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"\[Chi]c1", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]], ",", 
         FractionBox[
          RowBox[{"\[Chi]c2", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]], ",", 
         FractionBox[
          RowBox[{"\[Chi]c3", " ", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["\[Chi]c1", "2"], "+", 
             SuperscriptBox["\[Chi]c2", "2"], "+", 
             SuperscriptBox["\[Chi]c3", "2"]}], ")"}]}], 
          SqrtBox["3"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}], ",", 
         RowBox[{
          FractionBox["1", "6"], " ", "\[Chi]c3", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"3", " ", "\[ImaginaryI]"}], "+", 
                SqrtBox["3"]}], ")"}]}], " ", 
             SuperscriptBox["\[Chi]c1", "2"]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "3"}], " ", "\[ImaginaryI]"}], "+", 
               SqrtBox["3"]}], ")"}], " ", 
             SuperscriptBox["\[Chi]c2", "2"]}], "+", 
            RowBox[{"2", " ", 
             SqrtBox["3"], " ", 
             SuperscriptBox["\[Chi]c3", "2"]}]}], ")"}]}]}], "}"}]}], "}"}]}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.5268651442213306`*^9},
 CellLabel->"Out[7]=",
 CellID->657735302]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->1908401893],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526851147922578*^9, 3.526851220016498*^9}},
 CellID->1440733233]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 CellChangeTimes->{{3.527194384376992*^9, 3.527194385271392*^9}},
 CellID->1255426704],

Cell[TextData[{
 ButtonBox["MBgetFlavonPotential, ",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBgetFlavonPotential.nb", None}],
 ButtonBox["MBsimplifyCovariants",
  BaseStyle->"Hyperlink",
  ButtonData->{"MBsimplifyCovariants.nb", None}]
}], "SeeAlso",
 CellChangeTimes->{{3.52719438707852*^9, 3.5271944037931643`*^9}, {
  3.527566697347362*^9, 3.527566728718048*^9}},
 CellID->1165703714]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-5, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 78, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1350, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1408, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1490, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1558, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1655, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1740, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1824, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1943, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1999, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2065, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2137, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2204, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2276, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2340, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2404, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2470, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2551, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2655, 132, 58, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2716, 135, 671, 15, 109, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3424, 155, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[3783, 168, 272, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[4080, 179, 251, 7, 26, "Input",
 CellID->2070045828],
Cell[CellGroupData[{
Cell[4356, 190, 189, 4, 21, "Print",
 CellID->1395082158],
Cell[4548, 196, 151, 3, 21, "Print",
 CellID->639514751],
Cell[4702, 201, 350, 8, 60, "Print",
 CellID->1278872887],
Cell[5055, 211, 318, 8, 41, "Print",
 CellID->133894568],
Cell[5376, 221, 325, 8, 41, "Print",
 CellID->1904398245],
Cell[5704, 231, 932, 24, 76, "Print",
 CellID->1938947760],
Cell[6639, 257, 1758, 45, 140, "Print",
 CellID->1173475221]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8446, 308, 442, 9, 26, "Input",
 CellID->733653939],
Cell[8891, 319, 345, 12, 25, "Output",
 CellID->1310073530]
}, Open  ]],
Cell[CellGroupData[{
Cell[9273, 336, 315, 7, 26, "Input",
 CellID->783630378],
Cell[CellGroupData[{
Cell[9613, 347, 133, 3, 21, "Print",
 CellID->655990039],
Cell[9749, 352, 133, 3, 21, "Print",
 CellID->221345380]
}, Open  ]],
Cell[9897, 358, 8837, 255, 498, "Output",
 CellID->657735302]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18783, 619, 58, 1, 43, "TutorialsSection",
 CellID->1908401893],
Cell[18844, 622, 378, 12, 16, "Tutorials",
 CellID->1440733233]
}, Open  ]],
Cell[CellGroupData[{
Cell[19259, 639, 121, 2, 30, "SeeAlsoSection",
 CellID->1255426704],
Cell[19383, 643, 390, 10, 16, "SeeAlso",
 CellID->1165703714]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
