(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     14216,        495]
NotebookOptionsPosition[     11206,        384]
NotebookOutlinePosition[     11642,        401]
CellTagsIndexPosition[     11599,        398]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[{
 "New in: ",
 Cell["1.0", "HistoryData",
  CellTags->"New"],
 " | Modified in: ",
 Cell[" ", "HistoryData",
  CellTags->"Modified"],
 " | Obsolete in: ",
 Cell[" ", "HistoryData",
  CellTags->"Obsolete"],
 " | Excised in: ",
 Cell[" ", "HistoryData",
  CellTags->"Excised"]
}], "History",
 CellID->1247902091],

Cell[CellGroupData[{

Cell["Categorization", "CategorizationSection",
 CellID->1122911449],

Cell["Symbol", "Categorization",
 CellLabel->"Entity Type",
 CellID->686433507],

Cell["ModelBuilding", "Categorization",
 CellLabel->"Paclet Name",
 CellID->605800465],

Cell["ModelBuilding`", "Categorization",
 CellLabel->"Context",
 CellID->468444828],

Cell["ModelBuilding/ref/MBgetRepVector", "Categorization",
 CellLabel->"URI"]
}, Closed]],

Cell[CellGroupData[{

Cell["Keywords", "KeywordsSection",
 CellID->477174294],

Cell["XXXX", "Keywords",
 CellID->1164421360]
}, Closed]],

Cell[CellGroupData[{

Cell["Syntax Templates", "TemplatesSection",
 CellID->1872225408],

Cell[BoxData[""], "Template",
 CellLabel->"Additional Function Template",
 CellID->1562036412],

Cell[BoxData[""], "Template",
 CellLabel->"Arguments Pattern",
 CellID->158391909],

Cell[BoxData[""], "Template",
 CellLabel->"Local Variables",
 CellID->1360575930],

Cell[BoxData[""], "Template",
 CellLabel->"Color Equal Signs",
 CellID->793782254]
}, Closed]],

Cell[CellGroupData[{

Cell["Details", "DetailsSection",
 CellID->307771771],

Cell["XXXX", "Details",
 CellLabel->"Lead",
 CellID->670882175],

Cell["XXXX", "Details",
 CellLabel->"Developers",
 CellID->350963985],

Cell["XXXX", "Details",
 CellLabel->"Authors",
 CellID->8391405],

Cell["XXXX", "Details",
 CellLabel->"Feature Name",
 CellID->3610269],

Cell["XXXX", "Details",
 CellLabel->"QA",
 CellID->401364205],

Cell["XXXX", "Details",
 CellLabel->"DA",
 CellID->350204745],

Cell["XXXX", "Details",
 CellLabel->"Docs",
 CellID->732958810],

Cell["XXXX", "Details",
 CellLabel->"Features Page Notes",
 CellID->222905350],

Cell["XXXX", "Details",
 CellLabel->"Comments",
 CellID->240026365]
}, Closed]],

Cell[CellGroupData[{

Cell["MBgetRepVector", "ObjectName",
 CellID->1224892054],

Cell[TextData[{
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"Group", ",", "Rep", ",", " ", "Head"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBgetRepVector returns a vector of representation Rep \
suitable for MBmultiply with variables starting with Head,\n",
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetRepVector", "[", 
   RowBox[{"Group", ",", "List"}], "]"}]], "InlineFormula"],
 " \[LineSeparator]MBgetRepVector returns a vector of a reducible \
representation suitable for MBmultiply where List is a list of pairs (Rep, \
Label), where Rep denotes the representation and Label labels the components. \
\n",
 Cell["   ", "ModInfo"],
 Cell[BoxData[
  RowBox[{"MBgetRepVector", "[", "Group"}]], "InlineFormula"],
 " \[LineSeparator]MBgetRepVector returns a list with one empty list for each \
representation."
}], "Usage",
 CellChangeTimes->{{3.5268834580881557`*^9, 3.526883538860753*^9}},
 CellID->982511436]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     StyleBox["Examples", "PrimaryExamplesSection"], 
     ButtonBox[
      RowBox[{
       RowBox[{"More", " ", "Examples"}], " ", "\[RightTriangle]"}],
      BaseStyle->"ExtendedExamplesLink",
      ButtonData:>"ExtendedExamples"]}
   }],
  $Line = 0; Null]], "PrimaryExamplesSection",
 CellID->880084151],

Cell[BoxData[
 RowBox[{
  RowBox[{"Needs", "[", "\"\<Discrete`ModelBuildingTools`\>\"", "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.526851363185132*^9, 3.526851388451866*^9}, {
  3.5269415914653273`*^9, 3.5269415977367992`*^9}},
 CellLabel->"In[0]:=",
 CellID->323990969],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"A4", "=", 
   RowBox[{"MBloadGAPGroup", "[", "\"\<AlternatingGroup(4)\>\"", "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.5268514020126867`*^9, 3.526851403516307*^9}, {
  3.526851440110422*^9, 3.526851442245318*^9}, {3.5268560829021873`*^9, 
  3.526856132585697*^9}, {3.526862777333869*^9, 3.526862790922648*^9}, {
  3.526863201020384*^9, 3.5268632061952477`*^9}, {3.526883585341366*^9, 
  3.526883599693799*^9}},
 CellLabel->"In[1]:=",
 CellID->805278218],

Cell[CellGroupData[{

Cell[BoxData["\<\"starting GAP generating AlternatingGroup(4)...\"\>"], \
"Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.5268836156126423`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1581260395],

Cell[BoxData["\<\"...finished\"\>"], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.526883616645759*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1034307896],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\\nStructureDescription:\"\>", 
   "\[InvisibleSpace]", "\<\"A4\"\>", "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["\nStructureDescription:", "A4", "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.5268836166615868`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1660531992],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Size of Group:\"\>", "\[InvisibleSpace]", "12", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Size of Group:", 12, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.526883616664707*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1459045442],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Number of irreps: \"\>", "\[InvisibleSpace]", "4", 
   "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Number of irreps: ", 4, "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.5268836166658154`*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->1406956801],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Dimensions of irreps:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "2", "3", "4"},
      {"1", "1", "1", "3"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Dimensions of irreps:\n", 
   TableForm[{{1, 2, 3, 4}, {1, 1, 1, 3}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.526883616667233*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->2012064438],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Character Table:\\n\"\>", "\[InvisibleSpace]", 
   TagBox[GridBox[{
      {"1", "1", "1", "1"},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
      {"1", "1", 
       SuperscriptBox["\[ExponentialE]", 
        FractionBox[
         RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
      {"3", 
       RowBox[{"-", "1"}], "0", "0"}
     },
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[2.0999999999999996`]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    Function[BoxForm`e$, 
     TableForm[BoxForm`e$]]], "\[InvisibleSpace]", "\<\"\\n\"\>"}],
  SequenceForm["Character Table:\n", 
   TableForm[{{1, 1, 1, 1}, {1, 1, E^(Complex[0, 
         Rational[-2, 3]] Pi), E^(Complex[0, 
         Rational[2, 3]] Pi)}, {1, 1, E^(Complex[0, 
         Rational[2, 3]] Pi), E^(Complex[0, 
         Rational[-2, 3]] Pi)}, {3, -1, 0, 0}}], "\n"],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5268561602350397`*^9, 3.526856643033441*^9, 3.526862880323283*^9, {
   3.526863284568925*^9, 3.5268632957647753`*^9}, {3.5268836037868567`*^9, 
   3.526883616668948*^9}},
 CellLabel->"During evaluation of In[1]:=",
 CellID->343804742]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MBgetRepVector", "[", 
  RowBox[{"A4", ",", "4", ",", "\[Chi]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5268835759377832`*^9, 3.526883580265094*^9}, {
  3.526883617538632*^9, 3.52688364128109*^9}},
 CellLabel->"In[3]:=",
 CellID->2027733727],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\[Chi]1", ",", "\[Chi]2", ",", "\[Chi]3"}], "}"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.526883619681747*^9, 3.5268836419362097`*^9}},
 CellLabel->"Out[3]=",
 CellID->2047684041]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 CellID->250839057],

Cell[TextData[{
 "See ",
 ButtonBox["TutorialA4.nb",
  BaseStyle->"Hyperlink",
  ButtonData->{
    FrontEnd`FileName[{
      ParentDirectory[
       ParentDirectory[]], "Tutorials"}, "Tutorial A4.nb", CharacterEncoding -> 
     "UTF-8"], None}],
 " for an example notebook."
}], "Tutorials",
 CellChangeTimes->{{3.526852138870805*^9, 3.526852139640601*^9}},
 CellID->341631938]
}, Open  ]]
},
WindowSize->{700, 770},
WindowMargins->{{-7, Automatic}, {Automatic, 0}},
CellContext->"Global`",
FrontEndVersion->"8.0 for Linux x86 (64-bit) (February 23, 2011)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "FunctionPageStyles.nb", 
  CharacterEncoding -> "UTF-8"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 325, 14, 24, "History",
 CellID->1247902091],
Cell[CellGroupData[{
Cell[907, 38, 68, 1, 29, "CategorizationSection",
 CellID->1122911449],
Cell[978, 41, 79, 2, 70, "Categorization",
 CellID->686433507],
Cell[1060, 45, 86, 2, 70, "Categorization",
 CellID->605800465],
Cell[1149, 49, 83, 2, 70, "Categorization",
 CellID->468444828],
Cell[1235, 53, 77, 1, 70, "Categorization"]
}, Closed]],
Cell[CellGroupData[{
Cell[1349, 59, 55, 1, 19, "KeywordsSection",
 CellID->477174294],
Cell[1407, 62, 45, 1, 70, "Keywords",
 CellID->1164421360]
}, Closed]],
Cell[CellGroupData[{
Cell[1489, 68, 65, 1, 19, "TemplatesSection",
 CellID->1872225408],
Cell[1557, 71, 94, 2, 70, "Template",
 CellID->1562036412],
Cell[1654, 75, 82, 2, 70, "Template",
 CellID->158391909],
Cell[1739, 79, 81, 2, 70, "Template",
 CellID->1360575930],
Cell[1823, 83, 82, 2, 70, "Template",
 CellID->793782254]
}, Closed]],
Cell[CellGroupData[{
Cell[1942, 90, 53, 1, 19, "DetailsSection",
 CellID->307771771],
Cell[1998, 93, 63, 2, 70, "Details",
 CellID->670882175],
Cell[2064, 97, 69, 2, 70, "Details",
 CellID->350963985],
Cell[2136, 101, 64, 2, 70, "Details",
 CellID->8391405],
Cell[2203, 105, 69, 2, 70, "Details",
 CellID->3610269],
Cell[2275, 109, 61, 2, 70, "Details",
 CellID->401364205],
Cell[2339, 113, 61, 2, 70, "Details",
 CellID->350204745],
Cell[2403, 117, 63, 2, 70, "Details",
 CellID->732958810],
Cell[2469, 121, 78, 2, 70, "Details",
 CellID->222905350],
Cell[2550, 125, 67, 2, 70, "Details",
 CellID->240026365]
}, Closed]],
Cell[CellGroupData[{
Cell[2654, 132, 57, 1, 62, "ObjectName",
 CellID->1224892054],
Cell[2714, 135, 971, 22, 203, "Usage",
 CellID->982511436]
}, Open  ]],
Cell[CellGroupData[{
Cell[3722, 162, 356, 11, 69, "PrimaryExamplesSection",
 CellID->880084151],
Cell[4081, 175, 276, 7, 26, "Input",
 CellID->323990969],
Cell[CellGroupData[{
Cell[4382, 186, 496, 11, 26, "Input",
 CellID->805278218],
Cell[CellGroupData[{
Cell[4903, 201, 344, 7, 21, "Print",
 CellID->1581260395],
Cell[5250, 210, 305, 6, 21, "Print",
 CellID->1034307896],
Cell[5558, 218, 503, 11, 60, "Print",
 CellID->1660531992],
Cell[6064, 231, 472, 11, 41, "Print",
 CellID->1459045442],
Cell[6539, 244, 480, 11, 41, "Print",
 CellID->1406956801],
Cell[7022, 257, 1085, 27, 76, "Print",
 CellID->2012064438],
Cell[8110, 286, 1908, 48, 140, "Print",
 CellID->343804742]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10067, 340, 266, 6, 26, "Input",
 CellID->2027733727],
Cell[10336, 348, 368, 12, 25, "Output",
 CellID->2047684041]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[10753, 366, 57, 1, 43, "TutorialsSection",
 CellID->250839057],
Cell[10813, 369, 377, 12, 16, "Tutorials",
 CellID->341631938]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
